[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomAction.SetHint

Sets the value for the Hint property.

## Declaration

Source position: actnlist.pas line 186

`protected procedure TCustomAction.SetHint(`
`const Value: TTranslateString`
`); virtual;`

## Arguments

`Value` |  | New value for the HelpType property.

## Version info

Modified in LCL version 4.0 to improve compatibility with newer Delphi VCL versions; redefined as virtual and changed to protected visibility.

## See also

TCustomAction.Hint |  | Hint - a pop-up message that appears when the mouse hovers over an object.
TActionLink |  | A link between an action and a client class.
TBasicAction